package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[数据字典项]
 */
public class SJZDX implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    private String Name;

    @JsonIgnore
    private boolean NameDirtyFlag;
    /**
     * 建立人
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;
    /**
     * 父名称
     */
    private String Pname;

    @JsonIgnore
    private boolean PnameDirtyFlag;
    /**
     * 数据字典项标识
     */
    private String SJZDXId;

    @JsonIgnore
    private boolean SJZDXIdDirtyFlag;
    /**
     * 数据字典项名称
     */
    private String SJZDXName;

    @JsonIgnore
    private boolean SJZDXNameDirtyFlag;
    /**
     * 更新人
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;
    /**
     * 编号
     */
    private String Code;

    @JsonIgnore
    private boolean CodeDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 建立时间
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;
    /**
     * 父编号
     */
    private String Pcode;

    @JsonIgnore
    private boolean PcodeDirtyFlag;
    /**
     * 数据字典标识
     */
    private String SJZDId;

    @JsonIgnore
    private boolean SJZDIdDirtyFlag;

    /**
     * 获取 [名称]
     */
    @JsonProperty("name")
    public String getName(){
        return Name ;
    }

    /**
     * 设置 [名称]
     */
    @JsonProperty("name")
    public void setName(String  name){
        this.Name = name ;
        this.NameDirtyFlag = true ;
    }

    /**
     * 获取 [名称]脏标记
     */
    @JsonIgnore
    public boolean getNameDirtyFlag(){
        return this.NameDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.CreateManDirtyFlag ;
    }

    /**
     * 获取 [父名称]
     */
    @JsonProperty("pname")
    public String getPname(){
        return Pname ;
    }

    /**
     * 设置 [父名称]
     */
    @JsonProperty("pname")
    public void setPname(String  pname){
        this.Pname = pname ;
        this.PnameDirtyFlag = true ;
    }

    /**
     * 获取 [父名称]脏标记
     */
    @JsonIgnore
    public boolean getPnameDirtyFlag(){
        return this.PnameDirtyFlag ;
    }

    /**
     * 获取 [数据字典项标识]
     */
    @JsonProperty("sjzdxid")
    public String getSJZDXId(){
        return SJZDXId ;
    }

    /**
     * 设置 [数据字典项标识]
     */
    @JsonProperty("sjzdxid")
    public void setSJZDXId(String  sJZDXId){
        this.SJZDXId = sJZDXId ;
        this.SJZDXIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典项标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDXIdDirtyFlag(){
        return this.SJZDXIdDirtyFlag ;
    }

    /**
     * 获取 [数据字典项名称]
     */
    @JsonProperty("sjzdxname")
    public String getSJZDXName(){
        return SJZDXName ;
    }

    /**
     * 设置 [数据字典项名称]
     */
    @JsonProperty("sjzdxname")
    public void setSJZDXName(String  sJZDXName){
        this.SJZDXName = sJZDXName ;
        this.SJZDXNameDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典项名称]脏标记
     */
    @JsonIgnore
    public boolean getSJZDXNameDirtyFlag(){
        return this.SJZDXNameDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.UpdateManDirtyFlag ;
    }

    /**
     * 获取 [编号]
     */
    @JsonProperty("code")
    public String getCode(){
        return Code ;
    }

    /**
     * 设置 [编号]
     */
    @JsonProperty("code")
    public void setCode(String  code){
        this.Code = code ;
        this.CodeDirtyFlag = true ;
    }

    /**
     * 获取 [编号]脏标记
     */
    @JsonIgnore
    public boolean getCodeDirtyFlag(){
        return this.CodeDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.CreateDateDirtyFlag ;
    }

    /**
     * 获取 [父编号]
     */
    @JsonProperty("pcode")
    public String getPcode(){
        return Pcode ;
    }

    /**
     * 设置 [父编号]
     */
    @JsonProperty("pcode")
    public void setPcode(String  pcode){
        this.Pcode = pcode ;
        this.PcodeDirtyFlag = true ;
    }

    /**
     * 获取 [父编号]脏标记
     */
    @JsonIgnore
    public boolean getPcodeDirtyFlag(){
        return this.PcodeDirtyFlag ;
    }

    /**
     * 获取 [数据字典标识]
     */
    @JsonProperty("sjzdid")
    public String getSJZDId(){
        return SJZDId ;
    }

    /**
     * 设置 [数据字典标识]
     */
    @JsonProperty("sjzdid")
    public void setSJZDId(String  sJZDId){
        this.SJZDId = sJZDId ;
        this.SJZDIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDIdDirtyFlag(){
        return this.SJZDIdDirtyFlag ;
    }



}
